<?php 
declare(strict_types=0);
// session_start();
foreach($_GET  as $key => $value){${$key}=trim($value);} 
foreach($_POST as $key => $value){${$key}=trim($value);} 
include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
if(empty($user_codigo)){include('user_login0.php');return;}


$modu='guia';
$modu=strtolower($modu);
// $docu=strtoupper($docu);
$tabla=$modu;

if(!empty($idnum1))
{
     $sql_docu='select * from '.$tabla.'1 left join '.$tabla.'2 on idnum1=idnum2 where idnum1="'.$idnum1.'" order by iddet desc limit 1';
     $res_docu=msql_query($sql_docu,$link_data);
     $data_docu=msql_fetch_assoc($res_docu);
     foreach($data_docu as $campo => $valor){${$campo}=trim($valor);} 
}


if(empty($ptoe))
{
    $ptoe='001001';
    $sql_ptoe='select * from guia1 ';
    $sql_ptoe.='where ifnull(status,"")not in ("O","X") ';
    $sql_ptoe.='and iuser="'.$user_codigo.'" ';
    $sql_ptoe.='order by idnum1 desc ';
    $sql_ptoe.='limit 1 ';
    $res_ptoe=msql_query($sql_ptoe,$link_data);
    if(msql_num_rows($res_ptoe)>0){$ptoe=msql_result($res_ptoe,0,'ptoe');}
}

// if(empty($ptoe)){$ptoe='001001';}


$item='';
$cant=0;
$puni=0;

if(empty($ptoe)){$ptoe = $user0['user_ptoe'];}
if(empty($ptoe)){$ptoe = $_COOKIE['ptoe'];}


// $info='vtdeta';
if(empty($vndd)){$vndd=$user0['user_cedula'];}
// if(empty($ptov) and $tpos==1){$ptov=$user0['user_ptov'];}
if(empty($modu)){$modu='guia';}
if(empty($format)){$format=1;}
if(empty($tpos)){$tpos=1;}
if(empty($tpre)){$tpre=2;}
if(empty($lpre))
{
     $lpre='puni1';
     if($cfg_empr=='imcp'){$lpre='puni3';}
}


// if($format==1){$info=substr($modu,0,2).'deta';}
if($format==1){$info=substr($modu,0,2).'det2';}
if($format==2){$info=substr($modu,0,2).'deta';}
if($format==3){$info=substr($modu,0,2).'blog';}


if($tpos==3){$info=substr($modu,0,2).'det2';}


// if(empty($info)){$info='vtblog';}
// else{$info='vtdeta';}

$info_descri='GUIAS';

if($info=='gublog'){$info_descri='GUIAS';}

if(empty($user0['user_tipo'])){$cost='false';}

if(!mb_stristr('sist.supe',$user0['user_tipo']))
{
     $sql_acce='select * from acce1 left join acce2 on idnum1=idnum2 where numero='.$user_codigo.' and docum="COST" and info=1';
     $res_acce=msql_query($sql_acce,$link_data);
     if(msql_num_rows($res_acce)==0){$cost='false';}
}




if(empty($docu)){$docu='GR10';}

$docu0=data_maes('docu',$docu);
$enti0=data_maes('enti',$enti);
$item0=data_maes('item',$item);
// $ctas0=data_maes('ctas',$ctas);
$lsub0=data_maes('lsub',$lsub);
// $ptov0=data_maes('ptov',$ptov);
// $csub0=data_maes('csub',$csub);
$lote0=data_maes('lote',$lote);


$sql_imgi='select * from item0 left join imgi0 on item_codigo=imgi_item where item_status not in ("I","X") and imgi_status not in("I","X") limit 1';
$res_imgi=msql_query($sql_imgi,$link_data);
if(msql_num_rows($res_imgi)!=0){$imgi_ok=1;}

$sql_mrca='select * from mrca0 where mrca_status not in("I","X") limit 1';
$res_mrca=msql_query($sql_mrca,$link_data);
if(msql_num_rows($res_mrca)!=0){$mrca_ok=1;}

$sql_lote='select * from lote0 where lote_status not in("I","X") limit 1';
$res_lote=msql_query($sql_lote,$link_data);
if(msql_num_rows($res_lote)!=0){$lote_ok=1;}



$xtitulo='GUIAS';
if($modu=='guia'){$xtitulo='GUIAS';}

$xtitle='REG.GUIAS';
if($tpos==1){$xtitle='GUIA REMI.';}
$xtopcenter=$xtitle;

$fecha0=fecha0($modu);
if(empty($fecha)){$fecha=date('Y-m-d');}

$fecha_min=date('Y-m-d',strtotime('-1 days'));
$fecha_max=date('Y-m-d');
$fecha_max=date('Y-m-d',strtotime('+7 days'));


// $dom = new DOMDocument();
//      $dom->encoding = 'utf-8';
//      $dom->xmlVersion = '1.0';
//      $dom->formatOutput = true;

// echo $dom->saveXML();


$idnum1='';
//  SELECT DB
// if($tpos==1 and !empty($ptov) and !empty($numero))
if(!empty($docu) and !empty($ptoe) and !empty($numero))
{
//      echo '*/*/*/*'.$info;
//      $vndd='';
     include('sele_info.php');
     if($user_codigo==2)
     {
//           echo '*/*/*'.$sql_info;
//           echo '*/*/*'.$info;
     }
}

if(!empty($sql_info))
{
     $sql_info1=$sql_info;
     $sql_info1=str_replace('group by idnum1,iddet','group by idnum1',$sql_info1);
     $sql_info1=str_replace('group by idnum1,iddet','group by idnum1',$sql_info1);
     $res_info1=msql_query($sql_info1,$link_data);
     $total=msql_result($res_info1,0,'total');
//      $tiva=msql_result($res_info1,0,'iva');
//      $subt_iva=msql_result($res_info1,0,'subt_iva_hide');
//      $subt_iva0=msql_result($res_info1,0,'subt_iva0_hide');

     $claveacc=msql_result($res_info1,0,'claveacc_hide');
     $iuser=msql_result($res_info1,0,'iuser_hide');
     
     
     if(msql_num_rows($res_info1)!=0)
     {
//           $subt_iva0=number_format($subt_iva0,2);
//           $subt_iva=number_format($subt_iva,2);
//           $tiva=number_format($tiva,2);
          $total=number_format($total,2);
     }
     
     $res_info=msql_query($sql_info,$link_data);

          
     if(!empty($numero))
     {
          $idnum1=msql_result($res_info,0,'idnum1_hide');
          $edit=msql_result($res_info,0,'b_o');
          
//           $info=substr($modu,0,2).'resu';
//           include('sele_info.php');
//           $res_info1=msql_query($sql_info,$link_data);
//           $data_head=msql_fetch_assoc($res_info1);

          $data_head=data_docu($docu,$idnum1);
          
          foreach($data_head as $key => $value){${$key}=trim($value);} 
          
          $nombre='';
          $wsapp='';
          $email='';
          
     }
}


if(empty($numero))
{
     $dcto=0;
     $total=0;
     $efectivo=0;
     $tarjeta=0;
     $credito=0;
     $cambio=0;

     $nombre='';
     $wsapp='';
     $email='';
     
}


// datalist
{
     
// $zid='dliva';     
// $ztabla='item';
// $zcolu='item_iva';     
// $zcolu2='item_iva';     
// include('ele_datalist.php');


$ztabla='enti';
{$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from vtas1) or left(enti_codigo,10) in(select distinct left(enti,10) from clie1)  or left(enti_codigo,10) in(select distinct left(enti,10) from inve1 where docu like "EB%") )';}
// {$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from guia1) or left(enti_codigo,10) in(select distinct left(enti,10) from clie1))';}
include('ele_datalist.php');

$zid='dl_cond';     
$ztabla='enti';
{$zwhere='(left(enti_codigo,10) in(select distinct left(cedula1,10) from guia1) and length(trim(enti_codigo))=10 )';}
include('ele_datalist.php');
     
// $fec_vndd=date('Y-m-01',strtotime('-3 month'));
// $zid='dlvndd';     
// $ztabla='enti';
// $zwhere='(left(enti_codigo,10) in(select distinct left(vndd,10) from guia1 where fecha>="'.$fec_vndd.'") or left(enti_codigo,10) in(select distinct left(vndd,10) from clie1  where fecha>="'.$fec_vndd.'"))';
// include('ele_datalist.php');

              
$ztabla='item';
// $zlpre='pvp1';     
// $zstockv=1;     
$zwhere='(left(item_codigo,2)!="99")';
include('ele_datalist.php');

     
$ztabla='plvh';
include('ele_datalist.php');
     
$ztabla='cntn';
include('ele_datalist.php');
     
     
     
$ztabla='lote';
include('ele_datalist.php');
     
     
$ztabla='docu';
$zwhere='(docu_tabla="'.$modu.'")';
include('ele_datalist.php');

echo '<datalist id="dlpuni"></datalist>';
echo '<datalist id="dlpvp"></datalist>';
echo '<datalist id="dldcto"></datalist>';

}


// PANTALLA FILTROS
// echo '<div id="filtros" noprint >';
echo '<div id="filtros"  >';
{
     
// OCULTOS
echo '<div hide>';   
{
//      echo '<input id="ipip" value="'.$ipip.'">';

     echo '<input id="modu" value="'.$modu.'">';
     echo '<input id="info" value="'.$info.'">';
     echo '<input id="tpos" value="'.$tpos.'">';
     echo '<input id="tpre" value="'.$tpre.'">';
     echo '<input id="idnum1" value="'.$idnum1.'">';
     echo '<input id="stfin" value="'.$stfin.'">';

}     
echo '</div>';     
     
     
$zobj=2;     
include('ele_break.php');
     
$zid='btn_nuevo'; 
$zlabel='Nuevo';
$zalign='right';
$zonclick='{fn_nuevo();}';
$zsize=1.5;     
include('ele_button.php');
     
     
         
     
     
     
$zid='docu';
$zlabel='Docum.';
$zvalue=$docu;
$ztabla='docu';
$zwhere='(docu_tabla="'.$modu.'")';
if(!empty($docu)){$zreado=2;}
// $zondblclick='{document.getElementById("'.$zid.'").removeAttribute("disabled");}';  
$zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&tpos="+document.getElementById("tpos").value+"&docu="+document.getElementById("docu").value+"&ptov="+document.getElementById("ptov").value;}';
$zonchange=$zonblur;
if($tpos==1){$zobj=1;}     
if($tpos==1){$zreado=1;}     
if($tpos==1){$zlist='nolist';}     
include('ele_select.php');
     
     
// $zid='ptov';
// $ztabla='ptov';
// $zlabel='Pto.Vta.';
// $zvalue=$ptov; 
// if(!empty($ptov)){$zreado=2;}
// // $zondblclick='{document.getElementById("'.$zid.'").removeAttribute("disabled");}';     
// $zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&tpos="+document.getElementById("tpos").value+"&docu="+document.getElementById("docu").value+"&ptov="+document.getElementById("ptov").value;}';
// $zonchange=$zonblur;
// include('ele_select.php');

     
$zid='ptoe';
$ztabla='ptoe';
$zlabel='Pto.Emi.';
$zvalue=$ptoe; 
if(!empty($ptoe)){$zreado=2;}
// $zondblclick='{document.getElementById("'.$zid.'").removeAttribute("disabled");}';     
// $zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&tpos="+document.getElementById("tpos").value+"&docu="+document.getElementById("docu").value+"&ptov="+document.getElementById("ptov").value;}';
$zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&docu="+document.getElementById("docu").value+"&ptoe="+document.getElementById("ptoe").value;}';
$zonchange=$zonblur;
include('ele_select.php');

     
$zid='numero';
$zlabel='Numero';
$zvalue=$numero;
$zvalue=(int)$numero;
$zmin=1;
$zmax=9999999;     
$zclass='numeric-int';
$zreado=2;     
$zondblclick='{document.getElementById("'.$zid.'").style.width="'.round(7*2/3,2).'em";}';     
//$zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){location.href="?scri='.basename(__FILE__,'.php').'&tpos="+document.getElementById("tpos").value+"&docu="+document.getElementById("docu").value+"&ptov="+document.getElementById("ptov").value+"&numero="+document.getElementById("numero").value;}}';
$zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){document.getElementById("idnum1").value="";fn_consulta();}}';
// $zbackcolor='black';
// $zfontcolor='white';
$zbackcolor='grey';
$zfontcolor='white';
$zsize=1.2;     
include('ele_input.php');
     
$zid='btn_print'; 
$zlabel='Imprimir';
$zalign='right';
// $href='?prnt=1&docu='.$docu.'&idnum='.$idnum1.'&formato=';  
$href='?scri=info_docu3&prnt=1&docu='.$docu.'&idnum='.$idnum1.'&formato=';  
     
if(mb_stristr('hg01',$cfg_empr))
{$href.='&destino=txt';}
$zonclick='{print_url("'.$href.'");}';
if(empty($idnum1)){$zhide=1;}     
$zsize=1.5;     
include('ele_button.php');

     
$zid='btn_final'; 
$zlabel='Finalizar';
$zalign='right';
$zonclick='{fn_finalizar();}';
if(!empty($numero) and empty($edit)){$zhide=1;}     
if(empty($numero)){$zhide=1;}     
if($stfin==1){$zhide=1;}    
$zhide=1;     
$zsize=0.8;     
include('ele_button.php');
     
$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
$zonclick='{fn_consulta(event);}';
$zhide=1;     
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
// echo $msgres;
echo '</span>';     
     
if(!empty($ptoe))
{
     
$zobj=1;     
include('ele_break.php');


$zid='fecha1';
$ztype='date';
$zlabel='Salida';
$zvalue=$fecha;
// $zvalue=$data_docu[$zid];
$zmin=$fecha_min;     
$zmax=$fecha_max;     
// if($tpos==1){$zhide=1;}
// $zreado=2;     
include('ele_input.php');  
     
     
$zid='fecha2';
$ztype='date';
$zlabel='Llegada';
$zvalue=$fecha;
// $zvalue=$data_docu[$zid];
$zmin=$fecha_min;     
$zmax=$fecha_max;     
// if($tpos==1){$zhide=1;}
// $zreado=2;     
include('ele_input.php');  
     
$zobj=1;     
include('ele_break.php');

$zid='enti';
$zlabel='Destinatario';
$zvalue=$enti;
$ztabla='enti';     
include('ele_input.php');
     
$zid='docum';
$zlabel='Tipo Comp.';
$zvalue=$docum;
$ztabla='docu';
{$zwhere='(docu_codigo in(select distinct docu from vtas1) or docu_codigo in(select distinct docu from clie1)  or docu_codigo in(select distinct docu from inve1 where docu like "EB%") )';}
include('ele_select.php');

$zid='numer';
$zlabel='# Comp.';
$zvalue=$numer;
$zvalue=(int)$numer;
$zmin=0;
$zmax=999999999;     
$zclass='numeric-int';
include('ele_input.php');
     
     
$zobj=1;     
include('ele_break.php');

$zid='cedula1';
$zlabel='Conductor';
$zvalue=$cedula1;
$ztabla='enti';     
$zlist='dl_cond';     
include('ele_input.php');
     
$zid='nombre1';
$zlabel='Nombre';
$zvalue=$nombre;
//      $zreado=2;
$zsize=0.9;
//      $zwidth=15;
include('ele_input.php');

     

$zid='plvh';
$ztabla='plvh';
$zlabel='Placa';
$zvalue=$plvh;
include('ele_input.php');
     
$zid='cntn';
$ztabla='cntn';
$zlabel='Contenedor';
$zvalue=$cntn;
include('ele_input.php');
     
     
$zobj=1;     
include('ele_break.php');
     
$zobj=4;     
$zid='punto1';
$zlabel='Salida';
$zvalue=$punto1;
$zwidth=25;
$zrows=2;
include('ele_input.php');

$zobj=4;     
$zid='punto2';
$zlabel='Llegada';
$zvalue=$punto2;
$zwidth=25;
$zrows=2;
include('ele_input.php');

$zobj=4;     
$zid='ruta';
$zlabel='Ruta';
$zvalue=$ruta;
$zwidth=25;
$zrows=2;
include('ele_input.php');

                    
     
     
     
     $zobj=1;
     include('ele_break.php');
     
     if($tpos==1)
     {

          
          
//      $zid='nombre';
//      $zlabel='Nombre';
//      $zvalue=$nombre;
// //      $zreado=2;
//      $zsize=0.9;
// //      $zwidth=15;
//      include('ele_input.php');
     
//      $zid='email';
//      $zlabel='e-mail';
//      $zvalue=$email;
// //      $zreado=2;
// //      $zwidth=10;
//      $zsize=0.9;
//      include('ele_input.php');
     
//      $zid='wsapp';
//      $zlabel='wsapp';
//      $zvalue=$wsapp;
//      $ztype='number';
// //      $zreado=2;
// //      $zwidth=10;
//      $zsize=0.9;
//      include('ele_input.php');
          
     }
          
     if($tpos==2)
     {
          
     $zid='concepto';
     $zlabel='Concepto';
     $zvalue=$concepto;
//      $zreado=2;
//      $zsize=0.9;
     $zwidth=25;
     $zrows=2;
     include('ele_input.php');

                    
     }
          

//      $zalign='right';
//      $zid='total';
//      $zlabel='Total $';
//      $zvalue=$total;
//      $zclass='numeric-dec';
//      $zwidth=7;
//      $zmax=99999.99;
//      $zsize=1.5;
//      $zreado=1;
//      include('ele_input.php');
     
//      $zobj=4;
     $zalign='right';
     $zid='tiva';
     $zlabel='IVA';
     $zvalue=$tiva;
     $zclass='numeric-dec';
     $zwidth=7;
     $zmax=999.99;
     $zsize=0.8;
     $zreado=1;
     if($tiva==0 or $tarjeta==0){$zhide=1;}
     include('ele_input.php');
     
//      $zobj=4;
     $zalign='right';
     $zid='subt_iva';
     $zlabel='Sub IVA';
     $zvalue=$subt_iva;
     $zclass='numeric-dec';
     $zwidth=7;
     $zmax=99999.99;
     $zsize=0.8;
     $zreado=1;
     if($subt_iva==0 or $tarjeta==0){$zhide=1;}
     include('ele_input.php');
     
     
//      $zobj=4;
     $zalign='right';
     $zid='subt_iva0';
     $zlabel='Sub IVA 0';
     $zvalue=$subt_iva0;
     $zclass='numeric-dec';
     $zwidth=7;
     $zmax=99999.99;
     $zsize=0.8;
     $zreado=1;
     if($subt_iva0==0 or $tarjeta==0){$zhide=1;}
     include('ele_input.php');
     
          

     $zobj=2;
     include('ele_break.php');
     
     $zobj=4;
     $zid='item';
     $zlabel='Item';
     $zvalue=$item;
     $ztabla='item';
     $zopen=0;
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
//      $zdefa='9999999999';
     include('ele_input.php');
     
//      $zobj=4;
//      $zid='producto';
//      $zlabel='Prod/Serv';
//      $zvalue=$producto;
// //      $zwidth=15;
//      include('ele_input.php');
     
     
     $cant=1;
     $zobj=4;
     $zid='cant';
     $zlabel='Cant.';
     $zvalue=(float)$cant;
     $zdefa=1;
     $zmin=0;
     $zmax=9999;
     if(mb_stristr('imcp',$cfg_empr))
     {$zmax=999999;}
//      $zmaxlen=7;
     $zwidth=5;
     $zclass='numeric-dec';
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
     include('ele_input.php');


//      if($cost=='true')
     {
//      $zobj=4;
//      $zid='puni';
//      $zlabel='P.Unit';
//      $zvalue=$puni;
// //      $zwidth=6 ;
//      $zmin=0;
//      $zmax=9999.99;
// //      $max_puni=max_puni();
//      if($max_puni>=1000){$zmax=9999.99;}
//      if($max_puni>=10000){$zmax=99999.99;}
//      $zclass='numeric-dec';
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
//      $zlist='dlpuni';
//      if($tpre==1){$zreado=1;}
//      include('ele_input.php');
     }

     
//      if(empty($numero)){$dcto=0;}
//      $zobj=4;
//      $zid='dcto';
//      $zlabel='% Dcto.';
//      $zvalue=$dcto;
// //      $zwidth=6;
//      $zmin=0;
//      $zmax=99.99;
//      $zclass='numeric-dec';
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
//      include('ele_input.php');
     
//      $zobj=4;
//      $zid='iva';
//      $zlabel='IVA';
//      $zvalue=$iva;
//      $zmin=0;
//      $zmax=9999;
//      $zclass='numeric-dec';
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
// //      $zoptions='0;12';
// //      include('ele_select.php');
//      $zlist='dliva';
//      if($tpos==1)
//      {$zmax=999;$zreado=1;}
//      $zsize=0.9;
//      include('ele_input.php');
     
//      $zobj=4;
//      $zid='ice';
//      $zlabel='ICE';
//      $zvalue=$ice;
//      $zwidth=6;
// //      $zoptions='0;12';
//      $zhide=1;
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
//      include('ele_select.php');
     
//      $zobj=4;
//      $zid='irbp';
//      $zlabel='IRBP';
//      $zvalue=$irbp;
//      $zwidth=6;
// //      $zoptions='0;12';
//      $zhide=1;
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
//      include('ele_select.php');
     
//      $zobj=4;
//      $zid='pvp';
//      $zlabel='P.V.P.';
//      $zvalue=$pvp;
//      $zclass='numeric-dec';
//      $zwidth=6;
//      $zmax=99999;
//      $zreado=1;
//      if($tpos!=1){$zhide=1;}
//      include('ele_input.php');
     
     
//      $zobj=4;
//      $zid='subtot';
//      $zlabel='Sub-Total';
//      $zvalue=$subtot;
//      $zclass='numeric-dec';
//      $zwidth=7;
//      $zmax=99999.99;
//      $zreado=1;
//      include('ele_input.php');

     
     
     
     if($lote_ok==1)
     {
//           $zid='lote';
//           $zlabel='Lote';
//           $zvalue=$lote;
//           $ztabla='lote';
//           $zmaxlen=20;
//           include('ele_input.php');
     }
     
     if($nser_ok==1)
     {
//           $zid='serie';
//           $zlabel='Serie';
//           $zvalue=$serie;
//           include('ele_input.php');
     }
     
     if($mrca_ok==1)
     {
//           $zid='';
//           $zlabel='Marca';
//           $zvalue=$mrca;
//           $ztabla='mrca';
//           $ztodo=1;
//           include('ele_select.php');
     }
     
}

$zid='btn_autor'; 
$zlabel='AUTORIZADO';
$zalign='right';
$zsize=1.5;
$zbackcolor='royalblue';
$zfontcolor='white';
if(empty($numero) or !empty($edit)){$zhide=1;}  
if($format==3){$zhide=0;}
include('ele_button.php');
          

$zid='btn_grabar'; 
$zlabel='Grabar';
$zalign='right';
$zonclick='{save_docu(event);}';
$zsize=1.5;
if(!empty($numero) and empty($edit)){$zhide=1;}       
include('ele_button.php');
     

     
// $zobj=1;     
// include('ele_break.php');

     
$zid='btn_deleall'; 
$zlabel='Borrar';
$zalign='right';
$zonclick='{fn_deledeta(event);}';
//$zsize=1.5;
$zbackcolor='darkred';
$zfontcolor='white';     
if(!empty($numero) and empty($edit)){$zhide=1;}       
$zhide=1;     
include('ele_button.php');
     
     
     
          
// $zobj=1;     
// include('ele_break.php');

     
$zobj=4;
$zid='detalle';
$zlabel='Observaciones';
$zwidth=30;    
// $zrows=2;     
$zvalue=$detalle;
include('ele_input.php');
     

     
     
     

$zobj=2;     
include('ele_break.php');

}
     
// TITULO     
     
     

     
// include('ele_break.php');

// echo '*/*/*/'.$_COOKIE['oscreen'];

// COBRO
// $sty_pago='float:right;';
// if($tpos!=1)
// {$sty_pago.='display:none;';}
// echo '<span noprint style="'.$sty_pago.'"  >';
// {
//      $zalign='right';
//      $zid='efectivo';
//      $zlabel='Efectivo $';
//      $zvalue=$efectivo;
//      $zmin=0;
//      $zmax=99999;
//      $zwidth=5;
//      $zclass='numeric-dec';
// //      $zonchange='calc_subtot();';
//      $zonblur='{save_docu(event);}';
//      include('ele_input.php');
     
//      $zobj=1;
//      $zalign='right';
//      $zid='caja';
//      $zlabel='Caja';
//      $ztabla='caja';
//      $zvalue=$caja;
//      $zdefa=$caja;
// //      if(empty($zvalue)){$zvalue=$ptov;$zdefa=$ptov;}
//      if($tpos==1){$zvalue=$ptov; $zhide=1;}
//      include('ele_select.php');

//      $zobj=1;     
//      include('ele_break.php');

//      $zalign='right';
//      $zid='tarjeta';
//      $zlabel='Tarjeta $';
//      $zvalue=$tarjeta;
//      $zmin=0;
//      $zmax=99999;
//      $zwidth=5;
//      $zclass='numeric-dec';
// //      $zonchange='{calc_subtot();}';
//      $zonblur='{save_docu(event);}';
// //      $zonchange='{save_docu(event);}';
//      include('ele_input.php');
     

//      $zobj=1;
//      $zalign='right';
//      $zid='numvou';
//      $zlabel='# Voucher';
//      $zvalue=$nume_vouc;
//      $zmin=0;
//      $zmax=999999999;     
//      $zclass='numeric-int';
//      $zonblur='{save_docu(event);}';
//      include('ele_input.php');
     
//      $zobj=1;     
//      include('ele_break.php');
     
     
// //      $zobj=4;
//      $zalign='right';
//      $zid='credito';
//      $zlabel='Crédito $';
//      $zvalue=$credito;
//      $zmin=0;
//      $zmax=99999;
//      $zwidth=5;
//      $zclass='numeric-dec';
//      $zonchange='{calc_subtot();}';
// //      $zonblur='calc_subtot();';
//      $zonblur='{save_docu(event);}';
//      include('ele_input.php');
     
//      $zobj=1;     
//      include('ele_break.php');

//      $zalign='right';
//      $zid='cambio';
//      $zlabel='Cambio $';
// //      $zvalue=$credito;
//      $zmin=0;
//      $zmax=99999;
//      $zwidth=8;
//      $zclass='numeric-dec';
//      $zreado=1;
//      include('ele_input.php');


// }
// echo '</span>';



// RESULTADO
$sty_resu='float:right;';
$sty_resu='margin:0 auto;';
echo '<span id="main2" style="'.$sty_resu.'"  >';
// $sql_idx=1;
// for($idx=1; $idx<=$sql_idx; $idx++)
{
     if(gettype($res_info)!='NULL')
     {
          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=0;
          $zgfsize=0.9;
//           $zblockrows=3;
          $zheightrow='2';
          $zblockidnum=1;
          $zhidebtns=1;
//           $zwidthtable='80%';
          include('ele_grid.php');     
          
//           if($info=='vtblog')
//           {if($idx<msql_num_rows($res_krdx)){echo '<div id="pgbreak" style="height:2em;"></div>';}}

     }
}     
echo '</span>';     


echo '</div>';


// echo '<div style="height:4em;">';     
// echo '</div>';     


// $zobj=1;
// $zid='cstock';
// $zlabel='Consulta Stock';
// $zwidth=25;         
// $zvalue='';
// $zonenter='{fn_stock();}';
// $zonblur='{fn_stock();}';
// // $zonchange='{if(this.value==""){fn_stock()};}';
// include('ele_input.php');

echo '<div align="center" height="auto" id="divstock">';
echo '</div>';
     

echo '<div style="clear:both;">&#127380; : '.$idnum1.'</div>';

?>

<script>
function fn_stock(event)
{
     var busca,xsrc='?';
     busca=document.getElementById('cstock').value;
     document.getElementById('divstock').innerHTML='';
     if(busca.length>3)
     {
//           xsrc='?scri=info_modu3&modu=inve&info=iibode&tsaldo=69&prnt=1&prec=pvp&item='+busca;
//           document.getElementById('fr_stock').setAttribute('src',xsrc);
     
          var datapost,dato;
          datapost=new FormData();
          datapost.append('script','info_modu3');
          datapost.append('modu','inve');
          datapost.append('info','iibode');
          datapost.append('prec','pvp');
          datapost.append('prnt','1');
          datapost.append('zhidebtns','1');
          datapost.append('item',busca);
          dato=exe_ajax(datapost,'divstock','',true);
     
     }
     
}
</script>

<script>
function fn_consulta(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;
     
     document.getElementById("main2").innerHTML='Espere...';
     location.href=xhref;
}
</script>



<script>
function fn_nuevo(event)
{
     var enti;
     swal.fire({
          icon:'warning',
          title:'Nuevo Documento',
          text:'Continuar ?',
          confirmButtonText:'Nuevo',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:60000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
                    document.getElementById("numero").value="";
                    document.getElementById("idnum1").value="";
                    document.getElementById("enti").value="";
                    fn_consulta(event);
               }
          })
}     
     
</script>


<script>
function fn_deledeta(event)
{
     
     anul_docu(document.getElementById('docu').value,document.getElementById('idnum1').value,'ALL');
     //fn_consulta(event);

     return;
     
}     
     
</script>




<script>
function fn_finalizar(event)
{
     swal.fire({
          icon:'warning',
          title:'Finalizar Documento',
          text:'Continuar ?',
          confirmButtonText:'Finalizar',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:10000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
               document.getElementById("stfin").value="1";
               save_docu(event);
               }
          })
}
</script>



<script>
// function calc_subtot(event)
// {
//      var cant,puni,dcto,iva,ice,irbp,pvp;
//      var subtot,tdcto,tice,tiva,tirbp,subtot,total;
//      var efectivo,tarjeta,cambio;
     
//      if(document.getElementById("cant")){cant=document.getElementById("cant").value ||0;}
//      if(document.getElementById("puni")){puni=document.getElementById("puni").value ||0;}
//      if(document.getElementById("dcto")){dcto=document.getElementById("dcto").value ||0;}
//      if(document.getElementById("iva")){iva=document.getElementById("iva").value ||0;}
//      if(document.getElementById("ice")){ice=document.getElementById("ice").value ||0;}
//      if(document.getElementById("irbp")){irbp=document.getElementById("irbp").value ||0;}
     
//      if(document.getElementById("subtot")){subtot=document.getElementById("subtot").value ||0;}
//      if(document.getElementById("total")){total=document.getElementById("total").value ||0;}
//      if(document.getElementById("efectivo")){efectivo=document.getElementById("efectivo").value ||0;}
//      if(document.getElementById("tarjeta")){tarjeta=document.getElementById("tarjeta").value ||0;}
     
//      subtot=puni;
//      tdcto=subtot*dcto/100;
//      tice=subtot*ice/100;
//      subtot=subtot-tdcto+tice;
//      tiva=subtot*iva/100;
//      tirbp=cant*irbp;
//      subtot=subtot+tiva;
     
//      pvp=subtot;
//      pvp=pvp.toFixed(2);
     
//      subtot=subtot*cant;
//      subtot=subtot.toFixed(2);
     
//      if(total==0){total=subtot;}
     
//      cambio=0;
// //      if(efectivo>total && total>0)
//      if(parseFloat(efectivo)>parseFloat(total) && parseFloat(total)>0)
//      {cambio=efectivo-total;}
     
//      if(document.getElementById("pvp")){document.getElementById("pvp").value=parseFloat(pvp);}
//      if(document.getElementById("subtot")){document.getElementById("subtot").value=subtot;}
     
     
//      if(document.getElementById("cambio"))
//      {
//           document.getElementById("cambio").value=cambio.toFixed(2);
//           document.getElementById('cambio').style.color='navy';
//           document.getElementById('cambio').style.fontSize='1.2em';
//           if(cambio>0)
//           {document.getElementById('cambio').style.color='darkred';}
//      }

     
// //      document.getElementById('subt_iva0_ele').setAttribute("hide","");
// //      document.getElementById('subt_iva_ele').setAttribute("hide","");
// //      document.getElementById('tiva_ele').setAttribute("hide","");
// //      if(tarjeta>0)
// //      {
// //           document.getElementById('subt_iva0_ele').removeAttribute("hide");
// //           document.getElementById('subt_iva_ele').removeAttribute("hide");
// //           document.getElementById('tiva_ele').removeAttribute("hide");
// //      }

// }
</script>


<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<!-- <script>calc_subtot()</script> -->
<!-- <script>set_noback();</script> -->
<!-- <script>window.onbeforeunload = function(){return 'Are you sure you want to leave?';};</script> -->

